Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.elements
Interface ReportDesignConstants

    public interface ReportDesignConstants

Defines constants for design element name.

See Also:
  `DesignChoiceConstants`

Field Summary
`static java.lang.String` | `ACCESS_CONTROL`
`static java.lang.String` | `AUTOTEXT_ITEM`
`static java.lang.String` | `CASCADING_PARAMETER_GROUP_ELEMENT`
`static java.lang.String` | `CELL_ELEMENT`
`static java.lang.String` | `COLUMN_ELEMENT`
`static java.lang.String` | `CUBE_ELEMENT`
`static java.lang.String` | `DATA_GROUP_ELEMENT`
`static java.lang.String` | `DATA_ITEM`
`static java.lang.String` | `DATA_SET_ELEMENT`
`static java.lang.String` | `DATA_SOURCE_ELEMENT`
`static java.lang.String` | `DERIVED_DATA_SET`
`static java.lang.String` | `DERIVED_DATA_SET_ELEMENT`
`static java.lang.String` | `DESIGN_ELEMENT`
`static java.lang.String` | `DIMENSION_ELEMENT`
`static java.lang.String` | `DYNAMIC_FILTER_PARAMETER_ELEMENT`
`static java.lang.String` | `EXTENDED_ITEM`
`static java.lang.String` | `FILTER_CONDITION_ELEMENT`
`static java.lang.String` | `FREE_FORM_ITEM`
`static java.lang.String` | `GRAPHIC_MASTER_PAGE_ELEMENT`
`static java.lang.String` | `GRID_ITEM`
`static java.lang.String` | `GROUP_ELEMENT`
`static java.lang.String` | `HIERARCHY_ELEMENT`
`static java.lang.String` | `IMAGE_ITEM`
`static java.lang.String` | `JOINT_DATA_SET`
`static java.lang.String` | `LABEL_ITEM`
`static java.lang.String` | `LEVEL_ELEMENT`
`static java.lang.String` | `LIBRARY_ELEMENT`
`static java.lang.String` | `LINE_ITEM`
`static java.lang.String` | `LIST_GROUP_ELEMENT`
`static java.lang.String` | `LIST_ITEM`
`static java.lang.String` | `LISTING_ITEM`
`static java.lang.String` | `MASTER_PAGE_ELEMENT`
`static java.lang.String` | `MEASURE_ELEMENT`
`static java.lang.String` | `MEASURE_GROUP_ELEMENT`
`static java.lang.String` | `MEMBER_VALUE_ELEMENT`
`static java.lang.String` | `MODULE_ELEMENT`
`static java.lang.String` | `MULTI_LINE_DATA_ITEM` Deprecated. by `TEXT_DATA_ITEM`
`static java.lang.String` | `MULTI_VIEWS`
`static java.lang.String` | `ODA_CUBE_ELEMENT`
`static java.lang.String` | `ODA_DATA_SET`
`static java.lang.String` | `ODA_DATA_SOURCE`
`static java.lang.String` | `ODA_DIMENSION_ELEMENT`
`static java.lang.String` | `ODA_HIERARCHY_ELEMENT`
`static java.lang.String` | `ODA_LEVEL_ELEMENT`
`static java.lang.String` | `ODA_MEASURE_ELEMENT`
`static java.lang.String` | `ODA_MEASURE_GROUP_ELEMENT`
`static java.lang.String` | `PARAMETER_GROUP_ELEMENT`
`static java.lang.String` | `RECTANGLE_ITEM`
`static java.lang.String` | `REPORT_DESIGN_ELEMENT`
`static java.lang.String` | `REPORT_ITEM`
`static java.lang.String` | `REPORT_ITEM_THEME_ELEMENT`
`static java.lang.String` | `ROW_ELEMENT`
`static java.lang.String` | `SCALAR_PARAMETER_ELEMENT`
`static java.lang.String` | `SCRIPT_DATA_SET`
`static java.lang.String` | `SCRIPT_DATA_SOURCE`
`static java.lang.String` | `SIMPLE_DATA_SET_ELEMENT`
`static java.lang.String` | `SIMPLE_MASTER_PAGE_ELEMENT`
`static java.lang.String` | `SORT_ELEMENT`
`static java.lang.String` | `STYLE_ELEMENT`
`static java.lang.String` | `TABLE_GROUP_ELEMENT`
`static java.lang.String` | `TABLE_ITEM`
`static java.lang.String` | `TABULAR_CUBE_ELEMENT`
`static java.lang.String` | `TABULAR_DIMENSION_ELEMENT`
`static java.lang.String` | `TABULAR_HIERARCHY_ELEMENT`
`static java.lang.String` | `TABULAR_LEVEL_ELEMENT`
`static java.lang.String` | `TABULAR_MEASURE_ELEMENT`
`static java.lang.String` | `TABULAR_MEASURE_GROUP_ELEMENT`
`static java.lang.String` | `TEMPLATE_DATA_SET`
`static java.lang.String` | `TEMPLATE_ELEMENT`
`static java.lang.String` | `TEMPLATE_PARAMETER_DEFINITION`
`static java.lang.String` | `TEMPLATE_REPORT_ITEM`
`static java.lang.String` | `TEXT_DATA_ITEM`
`static java.lang.String` | `TEXT_ITEM`
`static java.lang.String` | `THEME_ITEM`
`static java.lang.String` | `VALUE_ACCESS_CONTROL`
`static java.lang.String` | `VARIABLE_ELEMENT`

Field Detail

### CELL_ELEMENT

    static final java.lang.String CELL_ELEMENT

See Also:
  Constant Field Values

### COLUMN_ELEMENT

    static final java.lang.String COLUMN_ELEMENT

See Also:
  Constant Field Values

### DATA_ITEM

    static final java.lang.String DATA_ITEM

See Also:
  Constant Field Values

### DATA_SET_ELEMENT

    static final java.lang.String DATA_SET_ELEMENT

See Also:
  Constant Field Values

### SIMPLE_DATA_SET_ELEMENT

    static final java.lang.String SIMPLE_DATA_SET_ELEMENT

See Also:
  Constant Field Values

### DATA_SOURCE_ELEMENT

    static final java.lang.String DATA_SOURCE_ELEMENT

See Also:
  Constant Field Values

### DESIGN_ELEMENT

    static final java.lang.String DESIGN_ELEMENT

See Also:
  Constant Field Values

### ODA_DATA_SET

    static final java.lang.String ODA_DATA_SET

See Also:
  Constant Field Values

### ODA_DATA_SOURCE

    static final java.lang.String ODA_DATA_SOURCE

See Also:
  Constant Field Values

### DERIVED_DATA_SET

    static final java.lang.String DERIVED_DATA_SET

See Also:
  Constant Field Values

### EXTENDED_ITEM

    static final java.lang.String EXTENDED_ITEM

See Also:
  Constant Field Values

### FREE_FORM_ITEM

    static final java.lang.String FREE_FORM_ITEM

See Also:
  Constant Field Values

### GRAPHIC_MASTER_PAGE_ELEMENT

    static final java.lang.String GRAPHIC_MASTER_PAGE_ELEMENT

See Also:
  Constant Field Values

### GRID_ITEM

    static final java.lang.String GRID_ITEM

See Also:
  Constant Field Values

### GROUP_ELEMENT

    static final java.lang.String GROUP_ELEMENT

See Also:
  Constant Field Values

### IMAGE_ITEM

    static final java.lang.String IMAGE_ITEM

See Also:
  Constant Field Values

### LABEL_ITEM

    static final java.lang.String LABEL_ITEM

See Also:
  Constant Field Values

### LIBRARY_ELEMENT

    static final java.lang.String LIBRARY_ELEMENT

See Also:
  Constant Field Values

### LINE_ITEM

    static final java.lang.String LINE_ITEM

See Also:
  Constant Field Values

### LIST_GROUP_ELEMENT

    static final java.lang.String LIST_GROUP_ELEMENT

See Also:
  Constant Field Values

### LIST_ITEM

    static final java.lang.String LIST_ITEM

See Also:
  Constant Field Values

### LISTING_ITEM

    static final java.lang.String LISTING_ITEM

See Also:
  Constant Field Values

### MASTER_PAGE_ELEMENT

    static final java.lang.String MASTER_PAGE_ELEMENT

See Also:
  Constant Field Values

### MODULE_ELEMENT

    static final java.lang.String MODULE_ELEMENT

See Also:
  Constant Field Values

### PARAMETER_GROUP_ELEMENT

    static final java.lang.String PARAMETER_GROUP_ELEMENT

See Also:
  Constant Field Values

### CASCADING_PARAMETER_GROUP_ELEMENT

    static final java.lang.String CASCADING_PARAMETER_GROUP_ELEMENT

See Also:
  Constant Field Values

### RECTANGLE_ITEM

    static final java.lang.String RECTANGLE_ITEM

See Also:
  Constant Field Values

### REPORT_DESIGN_ELEMENT

    static final java.lang.String REPORT_DESIGN_ELEMENT

See Also:
  Constant Field Values

### REPORT_ITEM

    static final java.lang.String REPORT_ITEM

See Also:
  Constant Field Values

### ROW_ELEMENT

    static final java.lang.String ROW_ELEMENT

See Also:
  Constant Field Values

### SCALAR_PARAMETER_ELEMENT

    static final java.lang.String SCALAR_PARAMETER_ELEMENT

See Also:
  Constant Field Values

### DYNAMIC_FILTER_PARAMETER_ELEMENT

    static final java.lang.String DYNAMIC_FILTER_PARAMETER_ELEMENT

See Also:
  Constant Field Values

### SCRIPT_DATA_SET

    static final java.lang.String SCRIPT_DATA_SET

See Also:
  Constant Field Values

### SCRIPT_DATA_SOURCE

    static final java.lang.String SCRIPT_DATA_SOURCE

See Also:
  Constant Field Values

### SIMPLE_MASTER_PAGE_ELEMENT

    static final java.lang.String SIMPLE_MASTER_PAGE_ELEMENT

See Also:
  Constant Field Values

### STYLE_ELEMENT

    static final java.lang.String STYLE_ELEMENT

See Also:
  Constant Field Values

### TABLE_GROUP_ELEMENT

    static final java.lang.String TABLE_GROUP_ELEMENT

See Also:
  Constant Field Values

### TABLE_ITEM

    static final java.lang.String TABLE_ITEM

See Also:
  Constant Field Values

### TEXT_ITEM

    static final java.lang.String TEXT_ITEM

See Also:
  Constant Field Values

### TEXT_DATA_ITEM

    static final java.lang.String TEXT_DATA_ITEM

See Also:
  Constant Field Values

### THEME_ITEM

    static final java.lang.String THEME_ITEM

See Also:
  Constant Field Values

### TEMPLATE_PARAMETER_DEFINITION

    static final java.lang.String TEMPLATE_PARAMETER_DEFINITION

See Also:
  Constant Field Values

### TEMPLATE_ELEMENT

    static final java.lang.String TEMPLATE_ELEMENT

See Also:
  Constant Field Values

### TEMPLATE_REPORT_ITEM

    static final java.lang.String TEMPLATE_REPORT_ITEM

See Also:
  Constant Field Values

### TEMPLATE_DATA_SET

    static final java.lang.String TEMPLATE_DATA_SET

See Also:
  Constant Field Values

### JOINT_DATA_SET

    static final java.lang.String JOINT_DATA_SET

See Also:
  Constant Field Values

### AUTOTEXT_ITEM

    static final java.lang.String AUTOTEXT_ITEM

See Also:
  Constant Field Values

### CUBE_ELEMENT

    static final java.lang.String CUBE_ELEMENT

See Also:
  Constant Field Values

### DIMENSION_ELEMENT

    static final java.lang.String DIMENSION_ELEMENT

See Also:
  Constant Field Values

### HIERARCHY_ELEMENT

    static final java.lang.String HIERARCHY_ELEMENT

See Also:
  Constant Field Values

### LEVEL_ELEMENT

    static final java.lang.String LEVEL_ELEMENT

See Also:
  Constant Field Values

### MEASURE_ELEMENT

    static final java.lang.String MEASURE_ELEMENT

See Also:
  Constant Field Values

### MEASURE_GROUP_ELEMENT

    static final java.lang.String MEASURE_GROUP_ELEMENT

See Also:
  Constant Field Values

### ACCESS_CONTROL

    static final java.lang.String ACCESS_CONTROL

See Also:
  Constant Field Values

### VALUE_ACCESS_CONTROL

    static final java.lang.String VALUE_ACCESS_CONTROL

See Also:
  Constant Field Values

### TABULAR_CUBE_ELEMENT

    static final java.lang.String TABULAR_CUBE_ELEMENT

See Also:
  Constant Field Values

### TABULAR_DIMENSION_ELEMENT

    static final java.lang.String TABULAR_DIMENSION_ELEMENT

See Also:
  Constant Field Values

### TABULAR_HIERARCHY_ELEMENT

    static final java.lang.String TABULAR_HIERARCHY_ELEMENT

See Also:
  Constant Field Values

### TABULAR_LEVEL_ELEMENT

    static final java.lang.String TABULAR_LEVEL_ELEMENT

See Also:
  Constant Field Values

### TABULAR_MEASURE_ELEMENT

    static final java.lang.String TABULAR_MEASURE_ELEMENT

See Also:
  Constant Field Values

### TABULAR_MEASURE_GROUP_ELEMENT

    static final java.lang.String TABULAR_MEASURE_GROUP_ELEMENT

See Also:
  Constant Field Values

### ODA_CUBE_ELEMENT

    static final java.lang.String ODA_CUBE_ELEMENT

See Also:
  Constant Field Values

### ODA_DIMENSION_ELEMENT

    static final java.lang.String ODA_DIMENSION_ELEMENT

See Also:
  Constant Field Values

### ODA_HIERARCHY_ELEMENT

    static final java.lang.String ODA_HIERARCHY_ELEMENT

See Also:
  Constant Field Values

### ODA_LEVEL_ELEMENT

    static final java.lang.String ODA_LEVEL_ELEMENT

See Also:
  Constant Field Values

### ODA_MEASURE_ELEMENT

    static final java.lang.String ODA_MEASURE_ELEMENT

See Also:
  Constant Field Values

### ODA_MEASURE_GROUP_ELEMENT

    static final java.lang.String ODA_MEASURE_GROUP_ELEMENT

See Also:
  Constant Field Values

### MEMBER_VALUE_ELEMENT

    static final java.lang.String MEMBER_VALUE_ELEMENT

See Also:
  Constant Field Values

### SORT_ELEMENT

    static final java.lang.String SORT_ELEMENT

See Also:
  Constant Field Values

### FILTER_CONDITION_ELEMENT

    static final java.lang.String FILTER_CONDITION_ELEMENT

See Also:
  Constant Field Values

### MULTI_VIEWS

    static final java.lang.String MULTI_VIEWS

See Also:
  Constant Field Values

### VARIABLE_ELEMENT

    static final java.lang.String VARIABLE_ELEMENT

See Also:
  Constant Field Values

### DATA_GROUP_ELEMENT

    static final java.lang.String DATA_GROUP_ELEMENT

See Also:
  Constant Field Values

### DERIVED_DATA_SET_ELEMENT

    static final java.lang.String DERIVED_DATA_SET_ELEMENT

See Also:
  Constant Field Values

### REPORT_ITEM_THEME_ELEMENT

    static final java.lang.String REPORT_ITEM_THEME_ELEMENT

See Also:
  Constant Field Values

### MULTI_LINE_DATA_ITEM

    static final java.lang.String MULTI_LINE_DATA_ITEM

  Deprecated. by `TEXT_DATA_ITEM`
  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.